## org.apache.fop.tools.anttasks
Class Fop

    java.lang.Object
      |
      +--org.apache.fop.tools.anttasks.Fop

public class Fop
extends java.lang.Object

extension to Ant which allows usage of Fop in the same way as org.apache.fop.apps.CommandLine (the code is adapted from this class) Gets input and output filenames from the script file
needed libraries: Sax 2 parser (defaults to Xerces-J), Jimi for images, w3c.jar containing org.w3c.dom.svg etc. for svg support

Constructor Summary
`Fop()`

Method Summary
`void` `execute()` main method, starts execution of this task
`protected static org.xml.sax.InputSource` `fileInputSource(java.lang.String filename)` create an InputSource from a file name
`void` `setFofile(java.lang.String fofile)` sets the name of the input file
`void` `setPdffile(java.lang.String pdffile)` sets the name of the output file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Fop

    public Fop()

Method Detail

### setFofile

    public void setFofile(java.lang.String fofile)

  sets the name of the input file
  Parameters:
    `String` - name of the input fo file

### setPdffile

    public void setPdffile(java.lang.String pdffile)

  sets the name of the output file
  Parameters:
    `String` - name of the output pdf file

### fileInputSource

    protected static org.xml.sax.InputSource fileInputSource(java.lang.String filename)

  create an InputSource from a file name
  Parameters:
    `filename` - the name of the file
  Returns:
    the InputSource created

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  main method, starts execution of this task

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.